
const char* Netzwerkname = "xxx";             // << kann bis zu 32 Zeichen haben
const char* Passwort = "xxx";  // << mindestens 8 Zeichen jedoch nicht länger als 64 Zeichen

void wlan_start() {      // Funktionsaufruf "Wlan_start();" muss im Setup eingebunden werden

  // WiFi.disconnect();      // nur erforderlich wenn Esp den AP Modus nicht verlassen will
  WiFi.persistent(false);    // auskommentieren wenn Netzwerkname oder Passwort in den Flash geschrieben werden sollen
  WiFi.mode(WIFI_STA);
  WiFi.begin(Netzwerkname, Passwort);

  byte i = 0;
  while (WiFi.status() != WL_CONNECTED)
  {
    delay(500);
    i++;
    if (i > 30)
      ESP.restart();
  }
}
